PidHolder (Package com.ericsson.otp.ic version 4.2.26)
Keywords: com.ericsson.otp.ic.PidHolder class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class PidHolder

    java.lang.Object
      com.ericsson.otp.ic.PidHolder

    public final class PidHolder

extends java.lang.Object

Holder class for Pid.

Field Summary
`Pid` | `value` Pid instance variable.

Constructor Summary
`PidHolder()`
`PidHolder(Pid initial)`

Method Summary
`void` | `_marshal(com.ericsson.otp.erlang.OtpOutputStream out)` Marshal method for the PidHolder class, encodes the Pid object value to the output stream.
`void` | `_unmarshal(com.ericsson.otp.erlang.OtpInputStream in)` Unmarshal method for the PidHolder class, decodes a Pid object from the output stream and assigns it to the Holder value field.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Pid value

  Pid instance variable.

Constructor Detail

### PidHolder

    public PidHolder()

### PidHolder

    public PidHolder(Pid initial)

Method Detail

### _marshal

    public void _marshal(com.ericsson.otp.erlang.OtpOutputStream out)
                  throws java.lang.Exception

  Marshal method for the PidHolder class, encodes the Pid object value to the output stream.

  Throws:
    `java.lang.Exception`

### _unmarshal

    public void _unmarshal(com.ericsson.otp.erlang.OtpInputStream in)
                    throws java.lang.Exception

  Unmarshal method for the PidHolder class, decodes a Pid object from the output stream and assigns it to the Holder value field.

  Throws:
    `java.lang.Exception`

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD